# Creates a new savepoint for the policy (Dry Run only).

## Create dry-run savepoint.

> Creates a new savepoint for the policy (Dry Run only).

```json
{"openapi":"3.0.0","info":{"title":"Guardian","version":"3.3.0"},"servers":[{"url":"/api/v1","description":"version 1.0"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"InternalServerErrorDTO":{"type":"object","properties":{"code":{"type":"number"},"message":{"type":"string"}},"required":["code","message"]}}},"paths":{"/policies/{policyId}/savepoints":{"post":{"description":"Creates a new savepoint for the policy (Dry Run only).","operationId":"PolicyApi_createSavepoint","parameters":[{"name":"policyId","required":true,"in":"path","schema":{"type":"string"}}],"requestBody":{"required":true,"description":"{ name: string; savepointPath: string[] }","content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string"},"savepointPath":{"type":"array","items":{"type":"string"}}},"required":["name","savepointPath"]}}}},"responses":{"200":{"description":"Successful operation."},"401":{"description":"Unauthorized."},"403":{"description":"Forbidden."},"500":{"description":"Internal server error.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InternalServerErrorDTO"}}}}},"summary":"Create dry-run savepoint.","tags":["policies"]}}}}
```
